We just released our native n8n integration!ยป Try now
OnlyFans API
Users

Subscribe to User

Subscribe to a user's profile.

POST
/api/{account}/users/{user_id}/subscribe
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

user_id*string

The OnlyFans ID of the user to subscribe to.

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/users/123/subscribe"
{
  "data": {
    "view": "f",
    "avatar": "https://public.onlyfans.com/files/i/i2/i25/.../123/avatar.jpg",
    "avatarThumbs": {
      "c50": "https://thumbs.onlyfans.com/public/files/thumbs/c50/i/i2/i25/.../123/avatar.jpg",
      "c144": "https://thumbs.onlyfans.com/public/files/thumbs/c144/i/i2/i25/.../123/avatar.jpg"
    },
    "header": "https://public.onlyfans.com/files/c/cs/cse/.../123/header_image.jpg",
    "headerSize": {
      "width": 3840,
      "height": 1197
    },
    "headerThumbs": {
      "w480": "https://thumbs.onlyfans.com/public/files/thumbs/w480/c/cs/cse/.../123/header_image.jpg",
      "w760": "https://thumbs.onlyfans.com/public/files/thumbs/w760/c/cs/cse/.../123/header_image.jpg"
    },
    "id": 123,
    "name": "name",
    "username": "username",
    "canLookStory": true,
    "canCommentStory": true,
    "hasNotViewedStory": true,
    "isVerified": true,
    "canPayInternal": true,
    "hasScheduledStream": false,
    "hasStream": false,
    "hasStories": true,
    "tipsEnabled": true,
    "tipsTextEnabled": true,
    "tipsMin": 5,
    "tipsMinInternal": 1,
    "tipsMax": 200,
    "canEarn": true,
    "canAddSubscriber": false,
    "subscribePrice": 0,
    "isPaywallRequired": true,
    "isActive": true,
    "isRestricted": false,
    "canRestrict": true,
    "subscribedBy": true,
    "subscribedByExpire": false,
    "subscribedByExpireDate": "2025-01-01T01:01:01+00:00",
    "subscribedByAutoprolong": true,
    "subscribedIsExpiredNow": false,
    "currentSubscribePrice": 0,
    "subscribedOn": false,
    "subscribedOnExpiredNow": null,
    "subscribedOnDuration": null,
    "listsStates": [
      {
        "id": "following",
        "type": "following",
        "name": "Following",
        "hasUser": true,
        "canAddUser": false,
        "cannotAddUserReason": "ALREADY_EXISTS"
      },
      {
        "id": "fans",
        "type": "fans",
        "name": "Fans",
        "hasUser": false,
        "canAddUser": false,
        "cannotAddUserReason": null
      },
      {
        "id": "rebill_off",
        "type": "rebill_off",
        "name": "Renew Off",
        "hasUser": false,
        "canAddUser": false,
        "cannotAddUserReason": null
      },
      {
        "id": "rebill_on",
        "type": "rebill_on",
        "name": "Renew On",
        "hasUser": false,
        "canAddUser": false,
        "cannotAddUserReason": null
      },
      {
        "id": "recent",
        "type": "recent",
        "name": "Recent (last 24 hours)",
        "hasUser": false,
        "canAddUser": false,
        "cannotAddUserReason": "SYSTEM_LIST"
      },
      {
        "id": "tagged",
        "type": "tagged",
        "name": "Tagged",
        "hasUser": false,
        "canAddUser": false,
        "cannotAddUserReason": "SYSTEM_LIST"
      },
      {
        "id": "friends",
        "type": "friends",
        "name": "Friends",
        "hasUser": false,
        "canAddUser": true,
        "cannotAddUserReason": null
      },
      {
        "id": "muted",
        "type": "muted",
        "name": "Muted",
        "hasUser": false,
        "canAddUser": true,
        "cannotAddUserReason": null
      }
    ],
    "canReport": true,
    "canReceiveChatMessage": true,
    "hideChat": false,
    "lastSeen": "2025-01-01T01:01:01+00:00",
    "isPerformer": true,
    "isRealPerformer": true,
    "subscribedByData": {
      "price": 0,
      "newPrice": 0,
      "regularPrice": 0,
      "subscribePrice": 0,
      "discountPercent": 0,
      "discountPeriod": 1,
      "subscribeAt": "2025-01-01T01:01:01+00:00",
      "expiredAt": "2025-01-01T01:01:01+00:00",
      "renewedAt": "2025-01-01T01:01:01+00:00",
      "discountFinishedAt": null,
      "discountStartedAt": null,
      "status": null,
      "isMuted": false,
      "unsubscribeReason": "No reason given",
      "duration": "",
      "showPostsInFeed": true,
      "subscribes": [
        {
          "id": 123,
          "userId": 123,
          "subscriberId": 123,
          "date": "2025-01-01T01:01:01+00:00",
          "duration": 3652,
          "startDate": "2025-01-01T01:01:01+00:00",
          "expireDate": "2025-01-01T01:01:01+00:00",
          "cancelDate": null,
          "price": 0,
          "regularPrice": 0,
          "discount": 0,
          "earningId": 0,
          "action": "subscribe",
          "type": "regular",
          "offerStart": null,
          "offerEnd": null,
          "isCurrent": true
        }
      ],
      "hasActivePaidSubscriptions": false
    },
    "subscribedOnData": null,
    "canTrialSend": false,
    "isBlocked": false,
    "canUnsubscribe": true,
    "isPendingAutoprolong": false
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999834,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": 50000,
      "remaining_minute": 999,
      "remaining_day": 49971
    }
  }
}